MCP Gateway
ApiProviders

Test provider connection without saving

Test a provider connection without saving the configuration. Makes a real API call to verify accessibility and credentials.

POST
/api/v1/settings/providers/test-connection

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/settings/providers/test-connection" \  -H "Content-Type: application/json" \  -d '{    "provider_type": "llm",    "provider": "string",    "model": "string"  }'
{
  "success": true,
  "message": "string",
  "verified_at": "2019-08-24T14:15:22Z",
  "latency_ms": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}